### Constructor

# Gtk Box new

#### Declaration [src]

    GtkWidget*
    gtk_box_new (
      GtkOrientation orientation,
      int spacing
    )

#### Description [src]

Creates a new `GtkBox`.

#### Parameters

`orientation` | `GtkOrientation`
| The box’s orientation.
`spacing` | `int`
| The number of pixels to place by default between children.

#### Return value

Returns: | `GtkWidget`
| A new `GtkBox`.
| The data is owned by the called function.